#ifndef _YGGDRASIL_SETJMP_H
#define _YGGDRASIL_SETJMP_H 1

#if defined(__cplusplus)
extern "C" {
#endif

int setjmp(jmp_buf buf);
int _setjmp(jmp_buf buf);
int sigsetjmp(sigjmp_buf buf, int savesigs);

[[noreturn]] void longjmp(jmp_buf buf, int val);
[[noreturn]] void _longjmp(jmp_buf buf, int val);
[[noreturn]] void siglongjmp(sigjmp_buf buf, int val);

#if defined(__cplusplus)
}
#endif

#endif
